.article-box {
    width: 100%;
    height: 100%;
    display: flex;
    margin-top: 40px;
    gap: 40px;
}


.article-box figure {
    width: 50%;
    display: block;
    overflow: hidden;
}


.article-box figure a {
    display: block;
    width: 100%;
    height: 100%;
    position: relative;
}


.article-box figure img {
    width: 100%;
    height: 100%;
    transition: all 2s;
}

.article-box figure:hover img {
    transform: scale(1.2);
}

.article-box figure figcaption.overlay-project {
    display: none;
}

.article-box figure:hover figcaption.overlay-project {
    width: 100%;
    height: 100%;
    background: linear-gradient(rgba(0, 0, 0, 0.063), black);
    position: absolute;
    top: 0;
    z-index: 5;
    color: white;
    display: flex;
    justify-content: center;
    align-items: end;
    text-align: center;
    padding: 20px;
}

article .detail {
    display: -webkit-box;
    -webkit-line-clamp: 14;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

li:nth-child(odd) article {
    width: 50%;
    text-align: end;
}

li:nth-child(even) article {
    width: 50%;
    text-align: start;
}

.article-box article p {
    margin-top: 20px;
}

li:nth-child(odd) article .button-box {
    width: 100%;
    margin-top: 40px;
    display: flex;
    justify-content: end;
}

li:nth-child(even) article .button-box {
    width: 100%;
    margin-top: 40px;
    display: flex;
    justify-content: start;
}

@media only screen and (max-width:840px) {
    .article-box {
        flex-direction: column;
        margin-top: 20px;
        gap: 20px;
    }

    li.article-box:nth-child(even) {
        flex-direction: column-reverse !important;
    }

    .article-box figure {
        width: 100%;
    }

    li.article-box article {
        width: 100%;
        text-align: start;
    }

    li:nth-child(even) article .button-box {
        width: 100%;
        margin-top: 40px;
        display: flex;
        justify-content: end;
    }
}